A partir du 24 septembre, OVH abandonne les vieilles version de PHP au profit de plus récentes. Si votre site n’est pas prévu pour ce changement, vous risquez de trouver une page blanche.

PHP n’est pas tout jeune

PHP est un langage de programmation libre utilisé pour les pages Web dynamiques. Dès qu’un site internet fait appel à du contenu dynamique (afficher l’heure, connecter un administrateur, gérer un contenu), un codage PHP n’est généralement pas loin.

Crée en 1994, le langage a explosé en nombre d’utilisation dans les années qui ont suivis :

  • 2002 – 8 millions de sites Web à travers le monde
  • 2007 – 20 millions
  • 2013 – 244 millions

Le langage a évolué avec de nombreuses mises à jour mais les hébergeurs n’ont pas suivis cette tendance préférrant utiliser des versions stables du langage.

PHP doit être mis à jour

Des recherches ont mis à jour des failles dans le langage. Pour corriger ces failles, les hébergeurs n’ont plus le choix que de mettre à jour leurs installations. Ces nouvelles versions, plus performantes, impacte l’utilisation des sites internet, mais cette transition est nécessaire.

A partir du 24 Septembre 2015, OVH ne supportera plus les versions PHP obsolètes suivantes:

  • PHP 4.x (fin de vie depuis + de 6 ans)
  • PHP 5.2 (fin de vie depuis plus de 4 ans)
  • PHP 5.3 (fin de vie depuis plus de 8 mois)

Si vous ne connaissez pas votre version de PHP ou si vous ne vous sentez pas le courage de faire ce changement par vous-mêmes, nous pouvons mettre à jour vos installations.

(Source : historique PHP sur Wikipédia)